View Issue Details

IDProjectCategoryView StatusLast Update
0012493ScribusImport / Exportpublic2018-11-07 20:10
ReporterJLuc Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version 
Summary0012493: "Export to Image" dialog proposes bad prefix, folder and image type
DescriptionIn the "Export to image" dialogs both prefix, export path and default image type are wrong and increase risk of bad export and requires user to carefully correct inputs each time sHe uses this feature; when he should not have to.

- "prefix" input defaults to a looooong path value. Instead, the 1st time it should propose a slug made out of the SLA filename (without path, without .sla and without special characters), and each following times it should propose the last entered value.

- the destination path is wrong. It should remember the last used value. AMOF This is 0012998

- default proposed image type is allways PNG. It should remember last requested type and use it as default for the next time the dialog is used.
Additional InformationFor example : Let's open following document : /home/jluc/Dropbox/Aranya/couv/couv.sla

Whent Export to image is launched, the dialog proposes the following default values :

- export path : /home/jluc/Dropbox/ARANYA W JLuc/p124/images : that's totaly unrelated and useless !

- prefix : /home/jluc/Dropbox/ARANYA W JLuc/couv/couv.sla : this is not even a prefix ! its the name and path of the currently opened file. Prefix should be 'couv' that is the filename alone, without extension and without path.

- image type is : png. That's not too bad for a first try, even when i prefer to export to JPG. But next time a export another page to image, then the proposed type should not be the default PNG, but JPG as was previously requested.
Tags#easyhack, usability
PatchNo

Relationships

related to 0008997 closed Copy Page dialog should remember last used values 
related to 0004751 new Some file dialogs use unreasonable default directories 
has duplicate 0012998 confirmed Export -> Save as image directory defaults to last used export directory not current 
child of 0006506 acknowledged Dialog boxes should remember their settings 

Activities

JLuc

2014-07-10 18:11

developer   ~0032674

Last edited: 2014-07-10 18:12

View 2 revisions

Moreover, the path for file destination is common to scribus and doesnt change when changing document. (i'm not sure this is exactly what happens, maybe the path is just weirdly managed)
Export path should be remembered for each document and should default to SLA folder (or Export to PDF folder if there is one)

JLuc

2014-07-16 10:03

developer   ~0032777

Last edited: 2014-07-16 10:29

View 4 revisions

Hey Kunda, thanks for confirming, but i think that this is not a "cosmetique" a bug (in french. I dont know how it appears in english : 'superficial' ? makeup ?)

ATM, both prefix and export path are wrong and a bad path increases risk of bad export and requires user to correct export path when he should not have to.

This issue is hit mostly when working on 2 different projects or more, having 2 different paths and prefixes or more, and switching from one to the other.

It's not about how scribus looks to the user, trendily beautifull or not (cosmetic),
its about how the feature works well or not, and how the user has to correct the prefix AND the path that is being proposed.

Kunda

2014-07-16 17:02

manager   ~0032786

Yes, good points. This would really help to speedup workflow for sure. Thanks for the heads up. Huge timesaver here. Upgrading to 'high' priority

JLuc

2015-04-10 19:45

developer   ~0034871

Last edited: 2015-04-10 19:46

View 2 revisions

I mark #12988 Export -> Save as image directory defaults to last used export directory not current" dupe of this one. It has the following remarks :

<<
This problem was fixed for PDF export a long time ago but not remedied for other exports. I (like many others) keep project files in a separate directory for each project and would like ALL exports to automagically go to that directory not the last project I was working on.

Export -> Save as image. Defaults to last save directory not current working directory.

Should be a simple fix since it is the same behaviour for PDF which works correctly.
>>

JLuc

2016-04-06 10:27

developer   ~0039848

Updated the title to better reflect crapy state of behaviour.

JLuc

2016-11-21 16:07

developer   ~0042486

I edited to add a new related issue :

default proposed image type is allways PNG. It should remember last requested type and use it as default.

JLuc

2017-03-09 17:01

developer   ~0043549

Marked #easyhack because changing the proposed prefix to some sane slug is probably very easy

Fixing other settings require to save the entered values so as to reuse them next time and requires more knowledge of scribus + probably requires to add some attribute to the SLA file format so as to remember it next time file is reopened. See how other export dialog (PDF...) do it.

JLuc

2017-03-13 13:28

developer   ~0043582

For example : Let's open following document : /home/jluc/Dropbox/Aranya/couv/couv.sla

Whent Export to image is launched, the dialog proposes the following default values :

- export path : /home/jluc/Dropbox/ARANYA W JLuc/p124/images : that's totaly unrelated and useless !

- prefix : /home/jluc/Dropbox/ARANYA W JLuc/couv/couv.sla : this is not even a prefix ! its the name and path of the currently opened file. Prefix should be 'couv' that is the filename alone, without extension and without path.

- image type is : png. That's not too bad for a first try, even when i prefer to export to JPG. But next time a export another page to image, then the proposed type should not be the default PNG, but JPG as was previously requested.

JLuc

2018-11-07 20:10

developer   ~0045588

Issue still happens. Could it be fixed plz ?

Issue History

Date Modified Username Field Change
2014-07-07 23:20 JLuc New Issue
2014-07-08 02:47 Kunda Severity minor => tweak
2014-07-08 02:47 Kunda Target Version => 1.5.1
2014-07-08 02:47 Kunda Summary Export to image dont remember prefix setting => Export to image doesn't remember prefix setting
2014-07-10 17:39 FirasH Status new => confirmed
2014-07-10 18:11 JLuc Note Added: 0032674
2014-07-10 18:12 JLuc Note Edited: 0032674 View Revisions
2014-07-16 10:03 JLuc Note Added: 0032777
2014-07-16 10:04 JLuc Note Edited: 0032777 View Revisions
2014-07-16 10:28 JLuc Note Edited: 0032777 View Revisions
2014-07-16 10:29 JLuc Note Edited: 0032777 View Revisions
2014-07-16 15:44 FirasH Reproducibility have not tried => always
2014-07-16 17:02 Kunda Note Added: 0032786
2014-07-16 17:02 Kunda Priority normal => high
2014-07-16 17:02 Kunda Severity tweak => minor
2014-10-24 09:55 Kunda Relationship added related to 0008997
2015-04-10 19:44 JLuc Relationship added has duplicate 0012998
2015-04-10 19:45 JLuc Note Added: 0034871
2015-04-10 19:46 JLuc Note Edited: 0034871 View Revisions
2015-07-10 04:14 Kunda Relationship added related to 0004751
2015-11-11 00:20 Kunda Tag Attached: workflow
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-04-06 10:26 JLuc Patch => No
2016-04-06 10:26 JLuc Summary Export to image doesn't remember prefix setting => Export to image proposes crayppy prefix and folder settings
2016-04-06 10:26 JLuc Description Updated View Revisions
2016-04-06 10:27 JLuc Note Added: 0039848
2016-04-06 17:32 Kunda Relationship added related to 0006506
2016-04-06 17:33 Kunda Summary Export to image proposes crayppy prefix and folder settings => Export to image proposes poor choice for prefix & folder settings
2016-04-16 09:30 JLuc Summary Export to image proposes poor choice for prefix & folder settings => Export to image proposes bad choice for prefix & folder settings
2016-11-21 16:07 JLuc Summary Export to image proposes bad choice for prefix & folder settings => Export to image proposes bad choice for prefix, folder settings and image type
2016-11-21 16:07 JLuc Description Updated View Revisions
2016-11-21 16:07 JLuc Note Added: 0042486
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2017-03-09 16:18 JLuc Tag Attached: #easyhack
2017-03-09 16:49 JLuc Relationship replaced child of 0006506
2017-03-09 16:54 JLuc Description Updated View Revisions
2017-03-09 16:56 JLuc Summary Export to image proposes bad choice for prefix, folder settings and image type => "Export to Image" dialog proposes bad prefix, folder and image type
2017-03-09 16:57 JLuc Tag Detached: workflow
2017-03-09 16:57 JLuc Tag Attached: usability
2017-03-09 17:01 JLuc Note Added: 0043549
2017-03-13 13:27 JLuc Additional Information Updated View Revisions
2017-03-13 13:28 JLuc Note Added: 0043582
2018-11-07 20:10 JLuc Note Added: 0045588